(*
 This file is part of Poussin.

 Poussin is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 Poussin is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Poussin.  If not, see <http://www.gnu.org/licenses/>.

 Copyright (C) 2008 Nicolas Marti
*)

open List;;
open String;;
open Printf;;

open Def;;
open Pprinter;;
open Listutil;;
open Freshness;;
open Term;;
open Alpharel;;
open Betared;;

let term_equiv t1 t2 bv def =  
  (*let (t1', l1) = (cf_term' (beta_red t1 bv def) bv) in
  let (t2', l2) = (cf_term' (beta_red t2 bv def) l1) in*)
  let (t1') = (beta_red t1 bv def) in
  let (t2') = (beta_red t2 bv def) in
  let (b, l3) = (alpha_rel' t1' t2' bv def) in
    b;;
