open Set;;
open String;;

module OrderedVar = 
    struct
      type t = string
      let compare x y = String.compare x y
    end;;

module VarSet = Set.Make(OrderedVar);; 

(*
let y = StringSet.empty;;

let y1 = StringSet.union (StringSet.singleton "y") (StringSet.singleton "x");;

StringSet.subset (StringSet.singleton "x") y1;;
*)


let (+++) s1 s2 = VarSet.union s1 s2;;

let (++) elt s2 = VarSet.union (VarSet.singleton elt) s2;;
